Subject: RE: solution to NAT and multihoming

From: "James P. Salsman" <[email-masked]>
Date: Mon, 29 Jan 2001 03:33:38 -0800 (PST)

If you want to be part of the global address space and you are 
behind a NAT box, get a PPP account outside your NAT box and 
connect to it with TCP or SSH or SSL or UDP or HTTP or whatever
(see for example the use of PPP over telnet, in the www.ora.com
Turtle PPP book.)

What IPv4 NAT issue doesn't that solve, if any?

And for those of you who will claim it is inefficient, just how 
inefficient is it, in terms of measurable quantities?

Whether it costs more than IPv6 over UDP, I don't know, but I 
strongly suspect that in a vast majority of real-life cases it 
does not.

Cheers,
James

---

From: "Perry E. Metzger" <[email-masked]>
Date: 29 Jan 2001 08:33:22 -0500

> (see for example the use of PPP over telnet, in the www.ora.com

That works great for server farms! Great idea!

Perry

--
Perry E. Metzger		[email-masked]
--
Quality NetBSD CDs, Support & Service. http://www.wasabisystems.com/

---

From: Keith Moore <[email-masked]>
Date: Mon, 29 Jan 2001 10:05:55 -0500

> What IPv4 NAT issue doesn't that solve, if any?

it doesn't provide any more global address space for all of the
hosts that would like to run applications that require it.

Keith

---

From: "James P. Salsman" <[email-masked]>
Date: Wed, 31 Jan 2001 00:15:01 -0800 (PST)

> [PPP over TCP through NATs] doesn't provide any more global address space

Why create more supply when it can be so easy to reduce demand?

This reminds me of California's electricity crisis.  It seems the internet 
administration community can easily do their part for this very fundamental 
aspect of fault-tolerance.  For example, with this kind of a product:

  http://www.protonenergy.com/protonweb/html/energy.html

What are the most popular such systems that take advantage of the economies 
of scale involved with not having a different UPS for each system or room 
or building or company or municipality?  

I ask not because I want to perpetuate the status quo, but mainly because 
this kind of thing makes it so much easier to introduce wind power, which 
costs 6 cents per kilowatt-hour, with modular turbine-powered windmills 
that can take less than six months to build.  And although I know 
conservation is a better answer, I don't see people as being too predisposed
towards it in most cases.  If people are so fixated on growth, at least try 
to make sure they don't get themselves in an unsustainable bubble situation.

Cheers,
James

---

From: Keith Moore <[email-masked]>
Date: Wed, 31 Jan 2001 08:34:09 -0500

> Why create more supply when it can be so easy to reduce demand?

reducing demand is exactly what has been done with IPv4 address
allocation policies. something like this was probably necessary;
however, this has had the unfortunate side-effect of encouraging 
deployment of NATs - thereby impairing the ability of the IPv4 
Internet to support new applications.   the only way to restore 
the missing functionality is to provide a global address space.

what we are seeing is not a result of a failure to conserve
addresses, but a secondary effect of the conservation policy.

we are accustomed to thinking of conservation as a Good Thing,
but an effective conservation plan can actually make a system 
less able to cope with fluctuations in load.

Keith

---

From: "James P. Salsman" <[email-masked]>
Date: Wed, 31 Jan 2001 05:54:08 -0800 (PST)

Keith,

You are certainly correct:

> We are accustomed to thinking of conservation as a Good Thing,

That reminds me of another economic analogy to a contempoary 
internet engineering problem:  multihoming's impact on the 
rounting table size in relation to the impact of multiple providers
on the efficiency of health care.

With increasing multihoming, the edge-network routing table size 
also increases, causing a lack of efficiency in routing which 
can have a significant impact on saturated network health.  So, 
some people work towards the aggregation of routes by careful 
renumbering when possible.  (RFC 2519)

Similarly, if health care is limited and the destitute poor begin 
infecting the otherwise wealthy, then increasing medical costs 
will soon become very inefficient, overwhelming beneficial effects 
of unregulated free-market competition.

Therefore, it is necessary to aggregate medical care to achieve 
the best possible economies of scale.  Who is working towards this?

  http://www.allies-now.com

Cheers,
James